{% extends 'base.html' %}

{% block contenido %}
<div class="container">
    <br>
    <center>
        <h3>
          Categorías
        </h3>
    </center>
    <div class="row">
        <div style="text-align: right;">
            <a href="{% url 'crear_categoria' %}" class="waves-effect waves-light btn" type="submit">Añadir categoría
                <i class="material-icons">add</i>
            </a>
        </div>
    </div>
    
    <table class="highlight">
        <thead>
          <tr>
              <th>Categoría</th>
              <th>Descripción</th>
              <th style="text-align: center;">Editar</th>
              <th style="text-align: center;">Eliminar</th>
          </tr>
        </thead>

        <tbody>
        {% for categoria in object_list %}
            <tr>
                <td>{{categoria.nombreCategoria}}</td>
                <td>{{categoria.descripcionCategoria}}</td>
                <td style="text-align: center;">
                    <a href="{% url 'editar_categoria' categoria.pk %}" class="waves-effect waves-light btn" type="submit">
                        <i class="material-icons">edit</i>
                    </a>
                </td>
                <td>
                    <form method="POST" action="{% url 'eliminar_categoria' categoria.pk %}">
                        {% csrf_token %}
                        <center>
                            <button type="submit" class="col s12 btn waves-effect waves-light red">
                            <i class="material-icons">delete_forever</i>
                            </button>
                        </center>
                    </form>
                </td>
            </tr>
        {% empty %}
            <tr>
                <td>No hay categorías.</td>
            </tr>
        {% endfor %}
        </tbody>
      </table>
      <br>
      <div class="row">

        {% if is_paginated %}
          <center>
            <ul class="pagination">
              {% if page_obj.has_previous %}
              <li class=""><a href="?page={{ page_obj.previous_page_number }}"><i class="material-icons">chevron_left</i></a></li>
              {% else %}
              <li class="disabled"><a href="#!"><i class="material-icons">chevron_left</i></a></li>
              {% endif %}
    
              {% for page in paginator.page_range %}
              <li class="waves-effect {% if page == page_obj.number %}active light-blue darken-1{% endif %}"><a href="?page={{ page }}">{{ page }}</a></li>
              {% endfor %}
    
              {% if page_obj.has_next %}
              <li class="waves-effect"><a href="?page={{ page_obj.next_page_number }}"><i class="material-icons">chevron_right</i></a></li>
              {% else %}
              <li class="waves-effect disabled"><a href="#!"><i class="material-icons">chevron_right</i></a></li>
              {% endif %}
    
            </ul>
          </center>
        {% endif %}
    
      </div>
</div>
{% endblock contenido %}